| GET | /RestApi/recycle-bin/items/{id} |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class GetRecycleBinItem : RecycelBinItemRequestBase()
{
}
open class RecycelBinItemRequestBase
{
open var Id:UUID? = null
}
open class RecycleBinItemProxy
{
open var Id:UUID? = null
open var ProviderName:String? = null
open var ItemTypeName:String? = null
open var DisplayTypeName:String? = null
open var DataItemId:UUID? = null
open var ItemTitle:String? = null
open var Status:String? = null
open var StatusText:String? = null
open var ItemLanguage:String? = null
open var OwnerName:String? = null
open var DateCreated:Date? = null
open var ParentTypeName:String? = null
open var ParentTitlesPath:String? = null
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/{id} HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"providerName":"String","itemTypeName":"String","displayTypeName":"String","itemTitle":"String","status":"String","statusText":"String","itemLanguage":"String","ownerName":"String","dateCreated":"\/Date(-62135596800000-0000)\/","parentTypeName":"String","parentTitlesPath":"String"}